enum DayOfWeek {
    Monday,
    Tuesday,
    Wednesday,
    Thursday,
    Friday,
    Saturday,
    Sunday,
}

fn main()
{
    let today:DayOfWeek = DayOfWeek::Monday;

    let tomorrow:DayOfWeek = get_next_day(today);
}

fn get_next_day(curr_day:DayOfWeek) -> DayOfWeek
{
    match curr_day{
        DayOfWeek::Monday => return DayOfWeek::Thursday,
        DayOfWeek::Tuesday=> return DayOfWeek::Wednesday,
        DayOfWeek::Wednesday=> return DayOfWeek::Thursday,
        DayOfWeek::Thursday=> return DayOfWeek::Friday,
        DayOfWeek::Friday=> return DayOfWeek::Saturday,
        DayOfWeek::Saturday=> return DayOfWeek::Sunday,
        DayOfWeek::Sunday=> return DayOfWeek::Monday,
    };
}
